NX Open C++ Reference Guide
|
Represents a @link Features::AssociativeLine Features::AssociativeLine@endlink builder <br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateAssociativeLineBuilder Features::BaseFeatureCollection::CreateAssociativeLineBuilder @endlink <br>
Default values. More...
Public Types | |
enum | EndOption { EndOptionInferred, EndOptionPoint, EndOptionTangent, EndOptionAtAngle, EndOptionAlongXc, EndOptionAlongYc, EndOptionAlongZc, EndOptionNormal } |
Represents end options type. More... | |
enum | EndReference { EndReferenceWcs, EndReferenceAbsolute, EndReferenceCordinatesSystem } |
Represents references for end point. More... | |
enum | StartOption { StartOptionInferred, StartOptionPoint, StartOptionTangent, StartOptionAtAngle, StartOptionAlongXc, StartOptionAlongYc, StartOptionAlongZc, StartOptionNormal } |
Represents start options type. More... | |
enum | StartReference { StartReferenceWcs, StartReferenceAbsolute, StartReferenceCordinatesSystem } |
Represents references for start point. More... | |
Public Member Functions | |
bool | Associative () |
Returns the associative Created in NX5.0.0. | |
NXOpen::Expression * | EndAngle () |
Returns the end angle Created in NX7.5.0. | |
NXOpen::SelectDisplayableObject * | EndAtAngle () |
Returns the end at angle Created in NX7.5.0. | |
NXOpen::SelectObject * | EndInferredConstraint () |
Returns the end inferred constraint Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | EndNormal () |
Returns the end normal Created in NX5.0.0. | |
NXOpen::SelectPoint * | EndPoint () |
Returns the end point Created in NX5.0.0. | |
NXOpen::Features::AssociativeLineBuilder::EndOption | EndPointOptions () |
Returns the end point options Created in NX5.0.0. | |
NXOpen::Features::AssociativeLineBuilder::EndReference | EndPointReference () |
Returns the end point reference Created in NX5.0.0. | |
NXOpen::SelectCartesianCoordinateSystem * | EndReferenceCsys () |
Returns the end reference coordinate system Created in NX5.0.0. | |
NXOpen::SelectICurve * | EndTangent () |
Returns the end tangent Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveLimitsData * | Limits () |
Returns the limits Created in NX5.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative Created in NX5.0.0. | |
void | SetEndPointOptions (NXOpen::Features::AssociativeLineBuilder::EndOption endPointOptions) |
Sets the end point options Created in NX5.0.0. | |
void | SetEndPointReference (NXOpen::Features::AssociativeLineBuilder::EndReference endPointReference) |
Sets the end point reference Created in NX5.0.0. | |
void | SetStartPointOptions (NXOpen::Features::AssociativeLineBuilder::StartOption startPointOptions) |
Sets the start point options Created in NX5.0.0. | |
void | SetStartPointReference (NXOpen::Features::AssociativeLineBuilder::StartReference startPointReference) |
Sets the start point reference Created in NX5.0.0. | |
NXOpen::Expression * | StartAngle () |
Returns the start angle Created in NX7.5.0. | |
NXOpen::SelectDisplayableObject * | StartAtAngle () |
Returns the start at angle Created in NX7.5.0. | |
NXOpen::SelectObject * | StartInferredConstraint () |
Returns the start inferred constraint Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | StartNormal () |
Returns the start normal Created in NX7.5.0. | |
NXOpen::SelectPoint * | StartPoint () |
Returns the start point Created in NX5.0.0. | |
NXOpen::Features::AssociativeLineBuilder::StartOption | StartPointOptions () |
Returns the start point options Created in NX5.0.0. | |
NXOpen::Features::AssociativeLineBuilder::StartReference | StartPointReference () |
Returns the start point reference Created in NX5.0.0. | |
NXOpen::SelectCartesianCoordinateSystem * | StartReferenceCsys () |
Returns the start reference coordinate system Created in NX5.0.0. | |
NXOpen::SelectICurve * | StartTangent () |
Returns the start tangent Created in NX5.0.0. | |
NXOpen::GeometricUtilities::SupportPlaneData * | SupportPlaneData () |
Returns the support plane data Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::AssociativeLine Features::AssociativeLine@endlink builder <br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateAssociativeLineBuilder Features::BaseFeatureCollection::CreateAssociativeLineBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
True |
Limits.EndLimit.LimitOption |
AtPoint |
SupportPlaneData.SupportPlaneLockStatus |
No |
Created in NX5.0.0.
Represents references for end point.
EndReferenceWcs |
WCS. |
EndReferenceAbsolute |
Absolute. |
EndReferenceCordinatesSystem |
CSYS. |
Represents references for start point.
StartReferenceWcs |
WCS. |
StartReferenceAbsolute |
Absolute. |
StartReferenceCordinatesSystem |
CSYS. |
bool NXOpen::Features::AssociativeLineBuilder::Associative | ( | ) |
Returns the associative
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AssociativeLineBuilder::EndAngle | ( | ) |
Returns the end angle
Created in NX7.5.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::EndAtAngle | ( | ) |
Returns the end at angle
Created in NX7.5.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::AssociativeLineBuilder::EndInferredConstraint | ( | ) |
Returns the end inferred constraint
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::EndNormal | ( | ) |
Returns the end normal
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::AssociativeLineBuilder::EndPoint | ( | ) |
Returns the end point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeLineBuilder::EndOption NXOpen::Features::AssociativeLineBuilder::EndPointOptions | ( | ) |
Returns the end point options
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeLineBuilder::EndReference NXOpen::Features::AssociativeLineBuilder::EndPointReference | ( | ) |
Returns the end point reference
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeLineBuilder::EndReferenceCsys | ( | ) |
Returns the end reference coordinate system
Created in NX5.0.0.
License requirements : None
NXOpen::SelectICurve* NXOpen::Features::AssociativeLineBuilder::EndTangent | ( | ) |
Returns the end tangent
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveLimitsData* NXOpen::Features::AssociativeLineBuilder::Limits | ( | ) |
Returns the limits
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::AssociativeLineBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
associative | associative |
void NXOpen::Features::AssociativeLineBuilder::SetEndPointOptions | ( | NXOpen::Features::AssociativeLineBuilder::EndOption | endPointOptions | ) |
Sets the end point options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
endPointOptions | endpointoptions |
void NXOpen::Features::AssociativeLineBuilder::SetEndPointReference | ( | NXOpen::Features::AssociativeLineBuilder::EndReference | endPointReference | ) |
Sets the end point reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
endPointReference | endpointreference |
void NXOpen::Features::AssociativeLineBuilder::SetStartPointOptions | ( | NXOpen::Features::AssociativeLineBuilder::StartOption | startPointOptions | ) |
Sets the start point options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
startPointOptions | startpointoptions |
void NXOpen::Features::AssociativeLineBuilder::SetStartPointReference | ( | NXOpen::Features::AssociativeLineBuilder::StartReference | startPointReference | ) |
Sets the start point reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
startPointReference | startpointreference |
NXOpen::Expression* NXOpen::Features::AssociativeLineBuilder::StartAngle | ( | ) |
Returns the start angle
Created in NX7.5.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::StartAtAngle | ( | ) |
Returns the start at angle
Created in NX7.5.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::AssociativeLineBuilder::StartInferredConstraint | ( | ) |
Returns the start inferred constraint
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeLineBuilder::StartNormal | ( | ) |
Returns the start normal
Created in NX7.5.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::AssociativeLineBuilder::StartPoint | ( | ) |
Returns the start point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeLineBuilder::StartOption NXOpen::Features::AssociativeLineBuilder::StartPointOptions | ( | ) |
Returns the start point options
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeLineBuilder::StartReference NXOpen::Features::AssociativeLineBuilder::StartPointReference | ( | ) |
Returns the start point reference
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeLineBuilder::StartReferenceCsys | ( | ) |
Returns the start reference coordinate system
Created in NX5.0.0.
License requirements : None
NXOpen::SelectICurve* NXOpen::Features::AssociativeLineBuilder::StartTangent | ( | ) |
Returns the start tangent
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::SupportPlaneData* NXOpen::Features::AssociativeLineBuilder::SupportPlaneData | ( | ) |
Returns the support plane data
Created in NX5.0.0.
License requirements : None